#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 29. Introduction to KDE

- Prev

  Polkit-Qt-0.113.0

- Next

  Plasma-wayland-protocols-1.1.1

- Up
- Home

# libdbusmenu-qt-0.9.3+16.04.20160218

## Introduction to libdbusmenu-qt

This library provides a Qt implementation of the DBusMenu specification that exposes menus via DBus.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): http://launchpad.net/ubuntu/+archive/primary/+files/libdbusmenu-qt_0.9.3+16.04.20160218.orig.tar.gz

- Download MD5 sum: 8b90312bd8654e026d814d4db986ce5e

- Download size: 48 KB

- Estimated disk space required: 4.6 MB

- Estimated build time: 0.4 SBU

### libdbusmenu-qt Dependencies

#### Required

Qt-5.15.2

#### Optional

Doxygen-1.9.1 (for building the API documentation)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libdbusmenu-qt

## Installation of libdbusmenu-qt

Install libdbusmenu-qt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -DWITH_DOC=OFF              \
          -Wno-dev .. &&
    make

This packages does not come with a working test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_BUILD_TYPE=Release`: This switch is used to build without debugging symbols and apply a higher level of compiler optimizations.

`-DWITH_DOC=OFF`: This option is set to avoid building the API documentation. Omit it if you have doxygen installed and want the documentation.

## Contents

Installed Programs: None
Installed Library: libdbusmenu-qt5.so
Installed Directory: /usr/lib/cmake/dbusmenu-qt5 and /usr/include/dbusmenu-qt5

Last updated on 2021-02-24 09:27:02 -0800

- Prev

  Polkit-Qt-0.113.0

- Next

  Plasma-wayland-protocols-1.1.1

- Up
- Home